%define name foomatic-filters
%define version 4.0.9
%define releasedate 0
%if %{releasedate}
%define release %mkrel 0.%{releasedate}.1
%define tarname %{name}-%{version}-%{releasedate}
%else
%define release %mkrel 1
%define tarname %{name}-%{version}
%endif

##### GENERAL DEFINITIONS

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        Foomatic filters needed to run print queues with Foomatic PPDs
License:        GPLv2
Group:          System/Servers
URL:            http://www.linuxprinting.org/
Requires:       mpage
Obsoletes:	foomatic
Provides:	foomatic
BuildRequires:	autoconf
BuildRequires:	perl-devel file libxml2-devel mpage
BuildRequires:	libgs-devel
BuildRequires:	cups >= 1.2.0
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version
Source0:	http://www.linuxprinting.org/download/foomatic/%{tarname}.tar.xz
BuildRoot:	%_tmppath/%name-%version-%release-root

##### PACKAGE DESCRIPTION

%description
Foomatic is a comprehensive, spooler-independent database of printers,
printer drivers, and driver descriptions. It contains utilities to
generate PPD (Postscript Printer Description) files and printer queues
for CUPS, LPD, GNUlpr, LPRng, PPR, and PDQ using the database. There
is also the possibility to read the PJL options out of PJL-capable
laser printers and take them into account at the driver description
file generation.

There are spooler-independent command line interfaces to manipulate
queues (foomatic-configure) and to print files/manipulate jobs
(foomatic printjob).
 
This package contains the filters needed to run print queues based on
Foomatic PPD files.



%prep
##### FOOMATIC

# Source trees for installation
%setup -q -n %{tarname}
%if 0
# Modifications to make package building on 64-bit-systems
perl -p -i -e 's:\blib\b:\$LIB:g' configure.ac
perl -p -i -e 's!(AC_PROG_MAKE_SET)!$1

AC_PROG_CC

host_os=`uname -s`
host_cpu=`uname -m`

case \$host_os in
*Linux*)
  # Test if the compiler is 64bit
  echo "int i;" > conftest.\$ac_ext
  foomatic_cv_cc_64bit_output=no
  if AC_TRY_EVAL(ac_compile); then
    case `/usr/bin/file conftest.\$ac_objext` in
    *"ELF 64"*)
      foomatic_cv_cc_64bit_output=yes
      ;;
    esac
  fi
  rm -rf conftest*
  ;;
esac

case \$host_cpu:\$foomatic_cv_cc_64bit_output in
ppc64:yes | s390x:yes | sparc64:yes | x86_64:yes)
  LIB="lib64"
  ;;
*:*)
  LIB="lib"
  ;;
esac!' configure.ac
%endif

%build

./make_configure

%configure2_5x

make

%install

rm -rf %{buildroot}

# Make directories
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_mandir}/man1

# Install program files
make	PREFIX=%{_prefix} \
        DESTDIR=%buildroot \
        install

# Remove superfluous file
rm -f %buildroot/etc/foomatic/filter.conf.sample

# Link to make Foomatic 2.0.x CUPS queues working with Foomatic 3.0.x
ln -s ../../../bin/foomatic-rip %buildroot%{_prefix}/lib/cups/filter/cupsomatic

##### GENERAL STUFF

%post
# Restart the CUPS daemon when it is running, but do not start it when it
# is not running. The restart of the CUPS daemon updates the CUPS-internal
# backend index
/sbin/service cups condrestart > /dev/null 2>/dev/null || :

%postun
# Restart the CUPS daemon when it is running, but do not start it when it
# is not running. The restart of the CUPS daemon updates the CUPS-internal
# backend index
/sbin/service cups condrestart > /dev/null 2>/dev/null || :

##### CLEAN UP

%clean
rm -rf %{buildroot}

##### FILES

%files
%defattr(-,root,root)
%doc README USAGE TODO ChangeLog
%_bindir/*
%_prefix/lib/cups/filter/*
%_prefix/lib/cups/backend/*
%_prefix/lib/ppr/interfaces/*
%_prefix/lib/ppr/lib/*
%{_mandir}/man1/*
%dir %config(noreplace) %{_sysconfdir}/foomatic
%dir %config(noreplace) %{_sysconfdir}/foomatic/direct
%config(noreplace) %{_sysconfdir}/foomatic/filter.conf



%changelog
* Thu Sep 08 2011 Texstar <texstar at gmail.com> 4.0.9-1pclos2011
- 4.0.9

* Sun Feb 13 2011 Texstar <texstar at gmail.com> 4.0.5-1pclos2011
- 4.0.5

* Wed Oct 21 2009 Texstar <texstar at gmail.com> 4.0.3-1pclos2010
- 4.0.3

* Fri May 15 2009 Texstar <texstar at gmail.com> 4.0.1-1pclos2009
- 4.0.1

* Sat Jun 07 2008 Texstar <texstar at  gmail.com> 3.0.2-1.20071218.1pclos2007
- update

